Subject: Re: [PATCH 2/4] powerpc/device-tree: bindings for DSP cores/clusters for Freescale SOCs

From: Scott Wood <[email-masked]>
Date: Mon, 21 Sep 2015 15:01:02 -0500

On Mon, 2015-09-21 at 03:36 -0500, Aggrwal Poonam-B10812 wrote:
> 
> > -----Original Message-----
> > From: Wood Scott-B07421
> > Sent: Sunday, September 20, 2015 5:45 AM
> > To: Aggrwal Poonam-B10812 <[email-masked]>
> > Cc: [email-masked]; [email-masked]; 
> > devicetree-
> > [email-masked]
> > Subject: Re: [PATCH 2/4] powerpc/device-tree: bindings for DSP
> > cores/clusters for Freescale SOCs
> > 
> > On Sat, 2015-09-19 at 23:46 +0530, Poonam Aggrwal wrote:
> > > From: poonam aggrwal <[email-masked]>
> > > 
> > > Device Tree Bindings for DSP CPU clusters and DSP CPUs for Freescale
> > > PowerPC SOCs which have DSP CPUs in addition to PowerPC CPUs.
> > > For example B4860 has 3 DSP clusters which have 2 SC3900 cores each.
> > > 
> > > Signed-off-by: Poonam Aggrwal <[email-masked]>
> > > ---
> > > - based of: 
> > > git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
> > >   branch master
> > > 
> > > This patch was sent earlier and some comments were received. Some have
> > > been taken care; others we can further discuss.  Apologize for not
> > > following up on them in time.
> > >  .../devicetree/bindings/powerpc/fsl/dsp-cpus.txt   | 78
> > > ++++++++++++++++++++++
> > >  1 file changed, 78 insertions(+)
> > >  create mode 100644
> > Documentation/devicetree/bindings/powerpc/fsl/dsp-
> > > cpus.txt
> > > 
> > > diff --git
> > > a/Documentation/devicetree/bindings/powerpc/fsl/dsp-cpus.txt
> > > b/Documentation/devicetree/bindings/powerpc/fsl/dsp-cpus.txt
> > > new file mode 100644
> > > index 0000000..6d901ef
> > > --- /dev/null
> > > +++ b/Documentation/devicetree/bindings/powerpc/fsl/dsp-cpus.txt
> > > @@ -0,0 +1,78 @@
> > > 
> > +=========================================================
> > ==========
> > > +Binding for DSP CPU clusters and DSP CPUs for Freescale SOCs which
> > > +have DSP CPUs in addition to PowerPC cpus.
> > > +Copyright 2013 Freescale Semiconductor Inc.
> > > +
> > > +Power Architecture CPUs in Freescale SOCs are represented in device
> > > +trees
> > > as
> > > +per the definition in ePAPR.
> > > +
> > > +Required properties for DSP CPU cluster:
> > > +- compatible : should be "fsl,sc3900-cluster".
> > > +- reg : should contain the cluster index
> > > +
> > > +Required properties for DSP CPU:
> > > +- compatible : should be "fsl,sc3900".
> > > +- reg : should contain index of DSP CPU within the DSP clsuter.
> > > +- next-level-cache : should point to the phandle of the next-level L2
> > > cache.
> > 
> > Why is the dsp-clusters container only shown in the example, not the 
> > binding
> > itself?
> 
> I will try to add more description in the binding for cluster; And the 
> structure of dsp cluster (like sub node of DSP cluster is core, etc).
> Did I get your feedback right?

No, I was complaining that the example has a "dsp-clusters" container node 
and the binding itself doesn't mention it at all.

-Scott